The IConvergenceEvent is the parent interface of all events fired by Convergence. It ensures that each fired event has a name property that indicates the event that was fired.

### Hierarchy

- IConvergenceEvent
  - IConvergenceSocketEvent
  - IProtocolConnectionEvent
  - IModelEvent
  - IConvergenceModelValueEvent
  - IConvergenceDomainEvent
  - IConnectionEvent
  - IActivityEvent
  - IPresenceEvent
  - IChatEvent

### Implemented by

- ElementDetachedEvent
- ModelPermissionsChangedEvent
- OfflineModelDeletedEvent
- OfflineModelDownloadCompletedEvent
- OfflineModelDownloadPendingEvent
- OfflineModelPermissionsRevokedEvent
- OfflineModelStatusChangedEvent
- OfflineModelSyncAbortedEvent
- OfflineModelSyncCompletedEvent
- OfflineModelSyncErrorEvent
- OfflineModelSyncStartedEvent
- OfflineModelUpdatedEvent
- ReferenceChangedEvent
- ReferenceClearedEvent
- ReferenceDisposedEvent
- RemoteReferenceCreatedEvent
- RemoteResyncCompletedEvent
- RemoteResyncStartedEvent

## Index

### Properties

- name

## Properties

### name

name: string

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.